OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_DataMapOfShapePtrRefShape Class Reference

`#include <TNaming_DataMapOfShapePtrRefShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_DataMapOfShapePtrRefShape (const Standard_Integer NbBuckets=1)
Standard_EXPORT TNaming_DataMapOfShapePtrRefShape & | Assign (const TNaming_DataMapOfShapePtrRefShape &Other)
TNaming_DataMapOfShapePtrRefShape & | operator= (const TNaming_DataMapOfShapePtrRefShape &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TNaming_DataMapOfShapePtrRefShape ()
Standard_EXPORT Standard_Boolean | Bind (const TopoDS_Shape &K, const TNaming_PtrRefShape &I)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TopoDS_Shape &K)
Standard_EXPORT const TNaming_PtrRefShape & | Find (const TopoDS_Shape &K) const
const TNaming_PtrRefShape & | operator() (const TopoDS_Shape &K) const
Standard_EXPORT TNaming_PtrRefShape & | ChangeFind (const TopoDS_Shape &K)
TNaming_PtrRefShape & | operator() (const TopoDS_Shape &K)
## Private Member Functions
Standard_EXPORT | TNaming_DataMapOfShapePtrRefShape (const TNaming_DataMapOfShapePtrRefShape &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_DataMapOfShapePtrRefShape::TNaming_DataMapOfShapePtrRefShape | ( | const Standard_Integer | NbBuckets = `1` | ) |

TNaming_DataMapOfShapePtrRefShape::~TNaming_DataMapOfShapePtrRefShape | ( |  | ) | `[inline]`

Standard_EXPORT TNaming_DataMapOfShapePtrRefShape::TNaming_DataMapOfShapePtrRefShape | ( | const TNaming_DataMapOfShapePtrRefShape & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TNaming_DataMapOfShapePtrRefShape& TNaming_DataMapOfShapePtrRefShape::Assign | ( | const TNaming_DataMapOfShapePtrRefShape & | Other | ) |

Standard_EXPORT Standard_Boolean TNaming_DataMapOfShapePtrRefShape::Bind | ( | const TopoDS_Shape & | K,
|  | const TNaming_PtrRefShape & | I
| ) |

Standard_EXPORT TNaming_PtrRefShape& TNaming_DataMapOfShapePtrRefShape::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_EXPORT void TNaming_DataMapOfShapePtrRefShape::Clear | ( |  | ) |

Standard_EXPORT const TNaming_PtrRefShape& TNaming_DataMapOfShapePtrRefShape::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_EXPORT Standard_Boolean TNaming_DataMapOfShapePtrRefShape::IsBound | ( | const TopoDS_Shape & | K | ) | const

void TNaming_DataMapOfShapePtrRefShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_DataMapOfShapePtrRefShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_DataMapOfShapePtrRefShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TNaming_PtrRefShape& TNaming_DataMapOfShapePtrRefShape::operator() | ( | const TopoDS_Shape & | K | ) | `[inline]`

const TNaming_PtrRefShape& TNaming_DataMapOfShapePtrRefShape::operator() | ( | const TopoDS_Shape & | K | ) | const`[inline]`

TNaming_DataMapOfShapePtrRefShape& TNaming_DataMapOfShapePtrRefShape::operator= | ( | const TNaming_DataMapOfShapePtrRefShape & | Other | ) | `[inline]`

Standard_EXPORT void TNaming_DataMapOfShapePtrRefShape::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TNaming_DataMapOfShapePtrRefShape::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- TNaming_DataMapOfShapePtrRefShape.hxx